Index: XIOS/dev/dev_trunk_graph/arch/arch-GCC_LINUX.fcm
===================================================================
--- XIOS/dev/dev_trunk_graph/arch/arch-GCC_LINUX.fcm	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/arch/arch-GCC_LINUX.fcm	(revision 2020)
@@ -7,5 +7,5 @@
 %LINKER         mpif90  
 
-%BASE_CFLAGS    -w -std=c++11
+%BASE_CFLAGS    -w -std=c++11 -D__XIOS_EXCEPTION
 %PROD_CFLAGS    -O3 -DBOOST_DISABLE_ASSERTS
 %DEV_CFLAGS     -g -O2 
Index: XIOS/dev/dev_trunk_graph/arch/arch-X64_ADA.fcm
===================================================================
--- XIOS/dev/dev_trunk_graph/arch/arch-X64_ADA.fcm	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/arch/arch-X64_ADA.fcm	(revision 2020)
@@ -7,5 +7,5 @@
 %LINKER         mpiifort  -nofor-main
 
-%BASE_CFLAGS    -std=c++11 -diag-disable 1125 -diag-disable 279
+%BASE_CFLAGS    -std=c++11 -diag-disable 1125 -diag-disable 279 -D__XIOS_EXCEPTION
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
 %DEV_CFLAGS     -g -traceback
Index: XIOS/dev/dev_trunk_graph/arch/arch-X64_IRENE.env
===================================================================
--- XIOS/dev/dev_trunk_graph/arch/arch-X64_IRENE.env	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/arch/arch-X64_IRENE.env	(revision 2020)
@@ -1,8 +1,19 @@
-module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+#module unload netcdf-c netcdf-fortran hdf5 flavor perl hdf5 boost blitz mpi gnu
+#module load flavor/hdf5/parallel
+#module load netcdf-fortran/4.4.4
+#module load hdf5/1.8.20
+#module load gnu
+#module load boost
+#module load blitz
+#module load feature/bridge/heterogenous_mpmd
+
+module purge
+module load flavor/buildcompiler/intel/20
+module load mpi/openmpi/4.0.2
+
 module load flavor/hdf5/parallel
 module load netcdf-fortran/4.4.4
 module load hdf5/1.8.20
 module load gnu
-module load boost
-module load blitz
-module load feature/bridge/heterogenous_mpmd
+
+module load totalview
Index: XIOS/dev/dev_trunk_graph/arch/arch-X64_IRENE.fcm
===================================================================
--- XIOS/dev/dev_trunk_graph/arch/arch-X64_IRENE.fcm	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/arch/arch-X64_IRENE.fcm	(revision 2020)
@@ -7,9 +7,9 @@
 %LINKER         mpif90  -nofor-main
 
-%BASE_CFLAGS    -std=c++11 -diag-disable 1125 -diag-disable 279
+%BASE_CFLAGS    -std=c++11 -diag-disable 1125 -diag-disable 279 -D__XIOS_EXCEPTION
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
 #%DEV_CFLAGS     -g -traceback
 %DEV_CFLAGS     -g 
-%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline -D__XIOS_EXCEPTION
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
 
 %BASE_FFLAGS    -D__NONE__ 
Index: XIOS/dev/dev_trunk_graph/arch/arch-ifort_CICLAD.path
===================================================================
--- XIOS/dev/dev_trunk_graph/arch/arch-ifort_CICLAD.path	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/arch/arch-ifort_CICLAD.path	(revision 2020)
@@ -2,4 +2,7 @@
 NETCDF_LIBDIR="-L/opt/netcdf42/ifort/lib"
 NETCDF_LIB="-lnetcdf"
+MPI_INCDIR=""
+MPI_LIBDIR=""
+MPI_LIB=""
 HDF5_INCDIR=""
 HDF5_LIBDIR=""
Index: XIOS/dev/dev_trunk_graph/arch/arch-ifort_LSCE.fcm
===================================================================
--- XIOS/dev/dev_trunk_graph/arch/arch-ifort_LSCE.fcm	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/arch/arch-ifort_LSCE.fcm	(revision 2020)
@@ -5,6 +5,6 @@
 %BASE_CFLAGS
 %PROD_CFLAGS    -O3 -D BOOST_DISABLE_ASSERTS
-%DEV_CFLAGS     -g -traceback
-%DEBUG_CFLAGS   -DBZ_DEBUG -g -traceback -fno-inline
+%DEV_CFLAGS     -g
+%DEBUG_CFLAGS   -DBZ_DEBUG -g -fno-inline
 
 %BASE_FFLAGS    -D__NONE__
Index: XIOS/dev/dev_trunk_graph/bld.cfg
===================================================================
--- XIOS/dev/dev_trunk_graph/bld.cfg	(revision 2019)
+++ XIOS/dev/dev_trunk_graph/bld.cfg	(revision 2020)
@@ -22,20 +22,25 @@
 # each source subfolder should be declared individually
 search_src           false
-src::xios                               $PWD/src
-src::xios::config                       $PWD/src/config
-src::xios::date                         $PWD/src/date
-src::xios::filter                       $PWD/src/filter
-src::xios::functor                      $PWD/src/functor
-src::xios::interface::c                 $PWD/src/interface/c
-src::xios::interface::c_attr            $PWD/src/interface/c_attr
-src::xios::interface::fortran           $PWD/src/interface/fortran
-src::xios::interface::fortran_attr      $PWD/src/interface/fortran_attr
-src::xios::io                           $PWD/src/io
-src::xios::node                         $PWD/src/node
-src::xios::parse_expr                   $PWD/src/parse_expr
-src::xios::test                         $PWD/src/test
-src::xios::transformation               $PWD/src/transformation
-src::xios::transformation::Functions    $PWD/src/transformation/Functions
-src::xios::type                         $PWD/src/type
+src::xios                                    $PWD/src
+src::xios::config                            $PWD/src/config
+src::xios::date                              $PWD/src/date
+src::xios::filter                            $PWD/src/filter
+src::xios::functor                           $PWD/src/functor
+src::xios::interface::c                      $PWD/src/interface/c
+src::xios::interface::c_attr                 $PWD/src/interface/c_attr
+src::xios::interface::fortran                $PWD/src/interface/fortran
+src::xios::interface::fortran_attr           $PWD/src/interface/fortran_attr
+src::xios::io                                $PWD/src/io
+src::xios::node                              $PWD/src/node
+src::xios::parse_expr                        $PWD/src/parse_expr
+src::xios::test                              $PWD/src/test
+src::xios::transformation                    $PWD/src/transformation
+src::xios::transformation::Functions         $PWD/src/transformation/Functions
+src::xios::transformation::axis_algorithm    $PWD/src/transformation/axis_algorithm
+src::xios::transformation::domain_algorithm  $PWD/src/transformation/domain_algorithm
+src::xios::transformation::scalar_algorithm  $PWD/src/transformation/scalar_algorithm
+src::xios::type                              $PWD/src/type
+src::xios::manager                           $PWD/src/manager
+src::xios::distribution                      $PWD/src/distribution
 
 src::netcdf $PWD/extern/netcdf4
@@ -50,7 +55,7 @@
 #bld::target test_xios2_cmip6.exe
 #bld::target test_new_features.exe test_unstruct_complete.exe 
-bld::target test_remap.exe
-bld::target test_complete.exe
-bld::target test_client.exe
+#bld::target test_remap.exe
+#bld::target test_complete.exe
+#bld::target test_client.exe
 #bld::target test_unstruct_complete.exe
 #bld::target test_unstructured.exe
